Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.policy
Class RMPolicyExtension

    java.lang.Object
      org.apache.sandesha2.policy.RMPolicyExtension

All Implemented Interfaces:
  org.apache.axis2.wsdl.codegen.extension.PolicyExtension

    public class RMPolicyExtension

extends java.lang.Object
implements org.apache.axis2.wsdl.codegen.extension.PolicyExtension

Constructor Summary
`RMPolicyExtension()`

Method Summary
`void` | `addMethodsToStub(org.w3c.dom.Document document, org.w3c.dom.Element element, javax.xml.namespace.QName methodName, java.util.List assertions)`
`void` | `addMethodsToStub(org.w3c.dom.Document document, org.w3c.dom.Element element, javax.xml.namespace.QName opName, org.apache.neethi.Policy policy)`
`void` | `init(org.apache.axis2.wsdl.codegen.CodeGenConfiguration codeGenConfiguration)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RMPolicyExtension

    public RMPolicyExtension()

Method Detail

### addMethodsToStub

    public void addMethodsToStub(org.w3c.dom.Document document,
                                 org.w3c.dom.Element element,
                                 javax.xml.namespace.QName opName,
                                 org.apache.neethi.Policy policy)

### addMethodsToStub

    public void addMethodsToStub(org.w3c.dom.Document document,
                                 org.w3c.dom.Element element,
                                 javax.xml.namespace.QName methodName,
                                 java.util.List assertions)

  Specified by:
    `addMethodsToStub` in interface `org.apache.axis2.wsdl.codegen.extension.PolicyExtension`

### init

    public void init(org.apache.axis2.wsdl.codegen.CodeGenConfiguration codeGenConfiguration)

  Specified by:
    `init` in interface `org.apache.axis2.wsdl.codegen.extension.PolicyExtension`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.